| QxOrm 1.4.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions
qx::model_view::detail::QxNestedModel_Generic< T, M > Struct Template Reference

`#include <QxNestedModel.h>`

List of all members.

## Public Types
enum | { is_valid = qx::trait::is_qx_registered<T>::value }
typedef qx::QxModel< T > ::type_collection | type_collection
typedef qx::QxModel< T > ::type_primary_key | type_primary_key
typedef qx::QxModel< T >::type_ptr | type_ptr
## Static Public Member Functions
static qx::IxModel * | create (qx::IxModel *pParent, const QModelIndex &idxParent, T &t)
static void | synchronize (qx::IxModel *pModel, T &t)

## Detailed Description

### template<class T, class M>
struct qx::model_view::detail::QxNestedModel_Generic< T, M >

Definition at line 128 of file QxNestedModel.h.

## Member Typedef Documentation

template<class T , class M >

typedef qx::QxModel<T>::type_collection qx::model_view::detail::QxNestedModel_Generic< T, M >::type_collection

Definition at line 131 of file QxNestedModel.h.

template<class T , class M >

typedef qx::QxModel<T>::type_primary_key qx::model_view::detail::QxNestedModel_Generic< T, M >::type_primary_key

Definition at line 132 of file QxNestedModel.h.

template<class T , class M >

typedef qx::QxModel<T>::type_ptr qx::model_view::detail::QxNestedModel_Generic< T, M >::type_ptr

Definition at line 133 of file QxNestedModel.h.

## Member Enumeration Documentation

template<class T , class M >

anonymous enum

Enumerator:

  is_valid |

Definition at line 135 of file QxNestedModel.h.

## Member Function Documentation

template<class T , class M >

static qx::IxModel* qx::model_view::detail::QxNestedModel_Generic< T, M >::create | ( | qx::IxModel * | pParent,
|  | const QModelIndex & | idxParent,
|  | T & | t
| ) |  | `[inline, static]`

Definition at line 137 of file QxNestedModel.h.

template<class T , class M >

static void qx::model_view::detail::QxNestedModel_Generic< T, M >::synchronize | ( | qx::IxModel * | pModel,
|  | T & | t
| ) |  | `[inline, static]`

Definition at line 159 of file QxNestedModel.h.

The documentation for this struct was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxModelView/QxNestedModel.h